package mhp.oee.po.gen;

import java.util.Date;

public class ReasonCodeAlertPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    private String resourceTypeBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.ALERT_SEQUENCE_ID
     *
     * @mbggenerated
     */
    private String alertSequenceId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.REASON_CODE_BO
     *
     * @mbggenerated
     */
    private String reasonCodeBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.USED
     *
     * @mbggenerated
     */
    private String used;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.START_DATE_TIME
     *
     * @mbggenerated
     */
    private Date startDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.END_DATE_TIME
     *
     * @mbggenerated
     */
    private Date endDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column reason_code_alert.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.HANDLE
     *
     * @return the value of reason_code_alert.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.HANDLE
     *
     * @param handle the value for reason_code_alert.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.RESOURCE_TYPE_BO
     *
     * @return the value of reason_code_alert.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    public String getResourceTypeBo() {
        return resourceTypeBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.RESOURCE_TYPE_BO
     *
     * @param resourceTypeBo the value for reason_code_alert.RESOURCE_TYPE_BO
     *
     * @mbggenerated
     */
    public void setResourceTypeBo(String resourceTypeBo) {
        this.resourceTypeBo = resourceTypeBo == null ? null : resourceTypeBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.ALERT_SEQUENCE_ID
     *
     * @return the value of reason_code_alert.ALERT_SEQUENCE_ID
     *
     * @mbggenerated
     */
    public String getAlertSequenceId() {
        return alertSequenceId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.ALERT_SEQUENCE_ID
     *
     * @param alertSequenceId the value for reason_code_alert.ALERT_SEQUENCE_ID
     *
     * @mbggenerated
     */
    public void setAlertSequenceId(String alertSequenceId) {
        this.alertSequenceId = alertSequenceId == null ? null : alertSequenceId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.REASON_CODE_BO
     *
     * @return the value of reason_code_alert.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public String getReasonCodeBo() {
        return reasonCodeBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.REASON_CODE_BO
     *
     * @param reasonCodeBo the value for reason_code_alert.REASON_CODE_BO
     *
     * @mbggenerated
     */
    public void setReasonCodeBo(String reasonCodeBo) {
        this.reasonCodeBo = reasonCodeBo == null ? null : reasonCodeBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.STRT
     *
     * @return the value of reason_code_alert.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.STRT
     *
     * @param strt the value for reason_code_alert.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.DESCRIPTION
     *
     * @return the value of reason_code_alert.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.DESCRIPTION
     *
     * @param description the value for reason_code_alert.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.USED
     *
     * @return the value of reason_code_alert.USED
     *
     * @mbggenerated
     */
    public String getUsed() {
        return used;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.USED
     *
     * @param used the value for reason_code_alert.USED
     *
     * @mbggenerated
     */
    public void setUsed(String used) {
        this.used = used == null ? null : used.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.START_DATE_TIME
     *
     * @return the value of reason_code_alert.START_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getStartDateTime() {
        return startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.START_DATE_TIME
     *
     * @param startDateTime the value for reason_code_alert.START_DATE_TIME
     *
     * @mbggenerated
     */
    public void setStartDateTime(Date startDateTime) {
        this.startDateTime = startDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.END_DATE_TIME
     *
     * @return the value of reason_code_alert.END_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getEndDateTime() {
        return endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.END_DATE_TIME
     *
     * @param endDateTime the value for reason_code_alert.END_DATE_TIME
     *
     * @mbggenerated
     */
    public void setEndDateTime(Date endDateTime) {
        this.endDateTime = endDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.CREATED_DATE_TIME
     *
     * @return the value of reason_code_alert.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for reason_code_alert.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.MODIFIED_DATE_TIME
     *
     * @return the value of reason_code_alert.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for reason_code_alert.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column reason_code_alert.MODIFIED_USER
     *
     * @return the value of reason_code_alert.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column reason_code_alert.MODIFIED_USER
     *
     * @param modifiedUser the value for reason_code_alert.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}